tdb: raise version to 1.2.1 tdb-1.2.1
authorSimo Sorce <idra@samba.org>
Sat, 6 Feb 2010 15:48:39 +0000 (10:48 -0500)
committerSimo Sorce <idra@samba.org>
Sat, 6 Feb 2010 15:48:39 +0000 (10:48 -0500)
after recent fixes we need to raise the version to 1.2.1 so that
we can require also the right patched version.

lib/tdb/configure.ac
source3/configure.in
source4/min_versions.m4

index dac7bb2673df8d14c982881e6a8bc88bf465e7ce..395121937f3b690a9bb5458bf9b47688279040f7 100644 (file)
@@ -2,7 +2,7 @@ AC_PREREQ(2.50)
 AC_DEFUN([SMB_MODULE_DEFAULT], [echo -n ""])
 AC_DEFUN([SMB_LIBRARY_ENABLE], [echo -n ""])
 AC_DEFUN([SMB_ENABLE], [echo -n ""])
-AC_INIT(tdb, 1.2.0)
+AC_INIT(tdb, 1.2.1)
 AC_CONFIG_SRCDIR([common/tdb.c])
 AC_CONFIG_HEADER(include/config.h)
 AC_LIBREPLACE_ALL_CHECKS
index f3c6ba598700c8309d9460c7e91cf6ea24176431..14b57b688a19e9fa2483086055a67a25b510e72d 100644 (file)
@@ -1965,7 +1965,7 @@ AC_ARG_ENABLE(external_libtdb,
 
 if test "x$enable_external_libtdb" != xno
 then
-       PKG_CHECK_MODULES(LIBTDB, tdb >= 1.1.7,
+       PKG_CHECK_MODULES(LIBTDB, tdb >= 1.2.1,
                [ enable_external_libtdb=yes ],
                [
                if test x$enable_external_libtdb = xyes; then
index af8c4dd8fb1437a1802f145e025f251dab2b5728..c134c693dd5cd03b0a7ce7dcf7adb49ac584b4c0 100644 (file)
@@ -1,6 +1,6 @@
 # Minimum and exact required versions for various libraries 
 # if we use the ones installed in the system.
-define(TDB_MIN_VERSION,1.2.0)
+define(TDB_MIN_VERSION,1.2.1)
 define(TALLOC_MIN_VERSION,2.0.1)
 define(LDB_REQUIRED_VERSION,0.9.10)
 define(TEVENT_REQUIRED_VERSION,0.9.8)